mersenneforum.org  

Go Back   mersenneforum.org > Great Internet Mersenne Prime Search > Software

Reply
 
Thread Tools
Old 2014-02-14, 03:25   #67
TheMawn
 
TheMawn's Avatar
 
May 2013
East. Always East.

11·157 Posts
Default

Another roundoff message. This one was 0.4375 but reproducible. I'm up to four since the release and had one between May 2013 and January 2014 using 27.7.
TheMawn is offline   Reply With Quote
Old 2014-02-22, 10:30   #68
pepi37
 
pepi37's Avatar
 
Dec 2011
After milion nines:)

22·337 Posts
Default

Since Prime95 is VERY USEFULL in searching "big primes" but still can do only PRP test, can you add some option like you add it for "Make nosie if new Mersenne prime is found", but for PRP ( like noise, flashing icon.. or something liek that)

Thanks
pepi37 is online now   Reply With Quote
Old 2014-02-23, 05:42   #69
Ethan Hansen
 
Ethan Hansen's Avatar
 
Oct 2005

2816 Posts
Default

Quote:
Originally Posted by chalsall View Post
George.

I don't know under what environment you complied the Linux version in, but under CentOS 6.4 I get the following:

Code:
[chalsall@backup t]$ ./mprime -v
./mprime: /lib64/libc.so.6: version `GLIBC_2.15' not found (required by ./mprime)
./mprime: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by ./mprime)
Any chance we could get a "statically linked" version?
I'm finding the same problem with both Centos and RHEL systems. Running on older Centos/RHEL distros gives more errors still. For example on Centos 5.10, I see:
Code:
$ ./mprime -v
./mprime: /lib64/libc.so.6: version `GLIBC_2.15' not found (required by ./mprime)
./mprime: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by ./mprime)
./mprime: /lib64/libc.so.6: version `GLIBC_2.7' not found (required by ./mprime)
./mprime: /lib64/libc.so.6: version `GLIBC_2.11' not found (required by ./mprime)
*nix systems support running older code on new systems, but not the other way around. The problem chalsall and I are seeing likely stems from George compiling on Ubuntu, which always included the latest and greatest of everything. Centos/RHEL is more conservative, particularly when running mprime on an older system. Any chance of compiling mprime in a VM with a non-Debian based linux installed?
Ethan Hansen is offline   Reply With Quote
Reply

Thread Tools


Similar Threads
Thread Thread Starter Forum Replies Last Post
LLR beta Version 3.8.13 (deprecated) Jean Penné Software 111 2015-01-26 21:41
Prime95 beta version 28.4 Prime95 Software 20 2014-03-02 02:51
Prime95 version 27.1 early preview, not-even-close-to-beta release Prime95 Software 126 2012-02-09 16:17
Beta version 24.12 available Prime95 Software 33 2005-06-14 13:19
Beta version of PRP Prime95 PSearch 15 2004-09-17 19:21

All times are UTC. The time now is 19:07.

Mon Oct 26 19:07:54 UTC 2020 up 46 days, 16:18, 0 users, load averages: 1.66, 1.87, 1.94

Powered by vBulletin® Version 3.8.11
Copyright ©2000 - 2020, Jelsoft Enterprises Ltd.

This forum has received and complied with 0 (zero) government requests for information.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.2 or any later version published by the Free Software Foundation.
A copy of the license is included in the FAQ.